"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-312/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf1e40>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf1ee0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf1f80>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf2020>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf20c0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf2160>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf2200>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf22a0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf2340>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf23e0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf2480>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf2520>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf25c0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf2660>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf2700>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf27a0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf2840>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf28e0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf2980>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf2a20>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf2ac0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf2b60>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf2c00>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf2ca0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf2d40>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf2de0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf2e80>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf2f20>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf2fc0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf3060>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf3100>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf31a0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf3240>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf32e0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf3380>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf3420>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf34c0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf3560>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf3600>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf36a0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf3740>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf37e0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf3880>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf3920>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf39c0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf3a60>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf3b00>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf3ba0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf3c40>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf3ce0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf3d80>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf3e20>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf3ec0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffff97cf3f60>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffff97d24040>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff97d240e0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff97d24180>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff97d24220>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffff97d242c0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff97d24360>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffff97d24400>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffff97d244a0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffff97d24540>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff97d245e0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffff97d24680>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffff97d24720>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffff97d247c0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffff97d24860>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffff97d24900>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff97d249a0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffff97d24a40>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffff97d24ae0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff97d24b80>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffff97d24c20>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffff97d24cc0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffff97d24d60>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffff97d24e00>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffff97d24ea0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffff97d24f40>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffff97d24fe0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffff97d25120>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffff97d25080>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffff97d251c0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffff97d25260>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffff97d25300>)]
name: str = 'fr_HOCCN'
